"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var semver_1 = tslib_1.__importDefault(require("semver"));
var colors_1 = tslib_1.__importDefault(require("colors"));
var getYarnVersion_1 = require("./getYarnVersion");
var runShell_1 = require("./runShell");
var maps_1 = tslib_1.__importDefault(require("../maps"));
exports.getRnVersion = function () {
    var yarnVersion = getYarnVersion_1.getYarnVersion();
    var rnVersions;
    if (yarnVersion) {
        rnVersions = runShell_1.runShellAndReturn('yarn info react-native versions').replace(/^[\s\S]+?(\[[\s\S]+?\])[\s\S]+?$/, '$1');
    }
    else {
        rnVersions = runShell_1.runShellAndReturn('npm info react-native versions');
    }
    try {
        return JSON.parse(rnVersions.replace(/'/g, '"'))
            .reverse()
            .find(function (version) {
            return semver_1.default.gte(version, maps_1.default.minRnVersion) && semver_1.default.lte(version, maps_1.default.maxRnVersion);
        });
    }
    catch (err) {
        console.log(colors_1.default.red("Unable to fetch react-native version: " + err.message));
        process.exit(1);
    }
};
