"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var child_process_1 = require("child_process");
var semver_1 = tslib_1.__importDefault(require("semver"));
var minimist_1 = tslib_1.__importDefault(require("minimist"));
var npm = minimist_1.default(process.argv.slice(2)).npm;
var yarnVersion = npm ? null : (function () {
    var version;
    try {
        version = (child_process_1.execSync('yarn --version 2>/dev/null').toString() || '').trim();
    }
    catch (error) {
        return null;
    }
    try {
        if (semver_1.default.gte(version, '0.16.0')) {
            return version;
        }
        else {
            return null;
        }
    }
    catch (error) {
        console.error('Cannot parse yarn version: ' + version);
        return null;
    }
})();
exports.getYarnVersion = function () {
    return yarnVersion;
};
