"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getYarnVersion_1 = require("./getYarnVersion");
var runShell_1 = require("./runShell");
var yarnVersion = getYarnVersion_1.getYarnVersion();
exports.installPackage = function (packageName, isDev) {
    if (isDev === void 0) { isDev = false; }
    var installCommand;
    if (typeof packageName === 'string') {
        packageName = [packageName];
    }
    console.log("Installing " + packageName.join(', ') + "...");
    if (yarnVersion) {
        installCommand = "yarn add " + packageName.join(' ');
        if (isDev) {
            installCommand += ' --dev';
        }
    }
    else {
        installCommand = "npm install " + packageName.join(' ');
        if (isDev) {
            installCommand += ' --save-dev';
        }
    }
    runShell_1.runShell(installCommand);
};
